<div id="nav_pusher"></div>
<header id="nav">
    <label for="mobile_toggle"><img src="{{ .Site.BaseURL }}img/menu.svg" alt="Click to open Mobile Menu"></label>
    <input id="mobile_toggle" type="checkbox">

    <nav id="main_menu">
        <a href="/" class="logo"><img
                src="https://wildwoodhealth.org/wp-content/uploads/sites/7/2019/11/Health-Institute-Logo-Nav.png"
                alt="Wildwood Health Institute Logo" title="Back to home"></a>
        <ul>
            <a href="/" class="mobile_logo"><img src="{{ .Site.BaseURL }}img/logo-light-nav.png"
                    alt="Wildwood Health Institute Logo" title="Back to home"></a>
            {{ range .Site.Data.menu }}
            <li class='menu_item {{ .class }} {{ if isset . "dropdown" }}mega{{ end }}'>
                {{ if isset . "link" }}
                <a href="{{ .link }}" {{ if isset . "blank" }}target="_blank" rel="noopener noreferrer" {{ end }}
                    title="Click to visit {{ .name }}">{{ .name }}</a>
                {{ else }}
                <span>{{ .name }}</span>
                {{ end }}
                {{ if isset . "dropdown" }}
                <ul>
                    {{ range .dropdown }}
                    <li class="menu_item">
                        <a href="{{ .link }}" {{ if isset . "blank" }}target="_blank" rel="noopener noreferrer"
                            {{ end }} title="Click to visit {{ .name }}">{{ .name }}</a>
                    </li>
                    {{ end }}
                </ul>
                {{ end }}
            </li>
            {{ end }}
        </ul>
    </nav>
</header>